import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
      'https://gist.githubusercontent.com/Nikithakatta30/ce852e1fc24fe3ac2d9517c91cf84184/raw/d42e8cee99657df1874469dbf8c0093a6aada751/Fifa.csv';
export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.ARG = +d.ARG;
      d.BRA = +d.BRA;
      d.ESP = +d.ESP;
      d.FRA = +d.FRA;
      d.GER = +d.GER;
      d.ITA = +d.ITA;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};